| Flutter iOS Embedder |

Public Member Functions | List of all members
flutter::IOSSurfaceMetalSkia Class Referencefinal

`#include <ios_surface_metal_skia.h>`

Inheritance diagram for flutter::IOSSurfaceMetalSkia:

## Public Member Functions
| IOSSurfaceMetalSkia (const fml::scoped_nsobject< CAMetalLayer > &layer, std::shared_ptr< IOSContext > context)
| ~IOSSurfaceMetalSkia ()
Public Member Functions inherited from flutter::IOSSurface
std::shared_ptr< IOSContext > | GetContext () const
virtual | ~IOSSurface ()

## Additional Inherited Members
Static Public Member Functions inherited from flutter::IOSSurface
static std::unique_ptr< IOSSurface > | Create (std::shared_ptr< IOSContext > context, const fml::scoped_nsobject< CALayer > &layer)
Protected Member Functions inherited from flutter::IOSSurface
| IOSSurface (std::shared_ptr< IOSContext > ios_context)

## Detailed Description

Definition at line 19 of file ios_surface_metal_skia.h.

## Constructor & Destructor Documentation

## ◆ IOSSurfaceMetalSkia()

flutter::IOSSurfaceMetalSkia::IOSSurfaceMetalSkia | ( | const fml::scoped_nsobject< CAMetalLayer > & | layer,
|  | std::shared_ptr< IOSContext > | context
| ) |  |

Definition at line 26 of file ios_surface_metal_skia.mm.

28 : IOSSurface(std::move(context)),
29 GPUSurfaceMetalDelegate(MTLRenderTargetType::kCAMetalLayer),
30 layer_(layer) {
31 is_valid_ = layer_;
32 auto metal_context = CastToMetalContext(GetContext());
33 auto darwin_context = metal_context->GetDarwinContext().get();
34 command_queue_ = darwin_context.commandQueue;
35 device_ = darwin_context.device;
36 }

References flutter::CastToMetalContext(), and flutter::IOSSurface::GetContext().

## ◆ ~IOSSurfaceMetalSkia()

flutter::IOSSurfaceMetalSkia::~IOSSurfaceMetalSkia | ( |  | ) |
| default

The documentation for this class was generated from the following files:

- shell/platform/darwin/ios/ios_surface_metal_skia.h
- shell/platform/darwin/ios/ios_surface_metal_skia.mm

flutter::IOSSurface::IOSSurface
IOSSurface(std::shared_ptr< IOSContext > ios_context)
Definition: ios_surface.mm:55
flutter::CastToMetalContext
static IOSContextMetalSkia * CastToMetalContext(const std::shared_ptr< IOSContext > &context) __attribute__((cf_audited_transfer))
Definition: ios_surface_metal_skia.mm:21
flutter::IOSSurface::GetContext
std::shared_ptr< IOSContext > GetContext() const
Definition: ios_surface.mm:62